Available in VPC
Set a target that will be applied to a target group.
Regardless of any previously applied target lists, only the newly specified target number list will be bound, and if no target number list is specified, all existing bound target lists are removed.
Request headers
For information about the headers common to all Load Balancer APIs, see Load Balancer request headers.
Request query parameters
You can use the following query parameters with your request:
| Field | Type | Required | Description |
|---|---|---|---|
regionCode |
String | Optional | Region code for the target group to which you want to bind the target
|
targetGroupNo |
String | Required | Target group number |
targetNoList.N |
List[String] | Optional | List of target numbers to bind
|
responseFormatType |
String | Optional | Response result format
|
Request example
The following is a sample request.
curl --location 'https://ncloud.apigw.ntruss.com/vloadbalancer/v2/setTarget?regionCode=KR&targetGroupNo=*******&targetNoList.1=********' \
--header 'x-ncp-apigw-timestamp: {Timestamp}' \
--header 'x-ncp-iam-access-key: {Access Key}' \
--header 'x-ncp-apigw-signature-v2: {API Gateway Signature}'
Response
The following describes the response format.
Response body
See TargetList for the response body.
Response status codes
For information about the HTTP status codes common to all Load Balancer APIs, see Load Balancer response status codes.
Response example
The following is a sample response.
<setTargetResponse>
<requestId>6fbfbb6b-3ae7-4637-baba-521e1866108f</requestId>
<returnCode>0</returnCode>
<returnMessage>success</returnMessage>
<totalRows>1</totalRows>
<targetList>
<target>
<targetNo>********</targetNo>
<targetName>YOUR_TARGET</targetName>
<targetIp>***.***.*.*</targetIp>
<healthCheckStatus>
<code>UNUSED</code>
<codeName>unused Target</codeName>
</healthCheckStatus>
<healthCheckResponse></healthCheckResponse>
</target>
</targetList>
</setTargetResponse>